Community
cancel
Showing results for 
Search instead for 
Did you mean: 
AMont11
New Contributor I
2,252 Views

Anaconda Installation Error

Hi all,

On one of my Edison boards, I am able to install Anaconda and use it with no problem(Did this a while back). I am starting new with another board and I try to the install anaconda but the following errors are outputted :

[/home/root/anaconda2] >>>

PREFIX=/home/root/anaconda2

installing: _cache-0.0-py27_x0 ...

installing: python-2.7.11-0 ...

tar: bin/python: Cannot create symlink to 'python2.7': Operation not permitted

tar: bin/python2: Cannot create symlink to 'python2.7': Operation not permitted

tar: lib/libpython2.7.so: Cannot create symlink to 'libpython2.7.so.1.0': Operation not permitted

tar: lib/pkgconfig/python.pc: Cannot create symlink to 'python-2.7.pc': Operation not permitted

tar: lib/pkgconfig/python2.pc: Cannot create symlink to 'python-2.7.pc': Operation not permitted

tar: share/man/man1/python.1: Cannot create symlink to 'python2.7.1': Operation not permitted

tar: share/man/man1/python2.1: Cannot create symlink to 'python2.7.1': Operation not permitted

tar: Exiting with failure status due to previous errors

root@edison:~#

I don't understand why ? There must be something that I installed before but I can't seem to remember if I did anything different before..

8 Replies
Carlos_M_Intel
Employee
166 Views

Hi Admir,

Are you sure you are installing the same version? Are you using the root account or are you using another one?

Let's try with the following:

Delete the /home/root/anaconda2 folder

Set the base-feeds.conf file with http://alextgalileo.altervista.org/edison-package-repo-configuration-instructions.html Edison Package Repo Configuration Instructions

Run opkg update

Run opkg install tar

Run opkg install tar-dev

Run wget https://3230d63b5fc54e62148e-c95ac804525aac4b6dba79b00b39d1d3.ssl.cf1.rackcdn.com/Anaconda2-2.5.0-Li... https://3230d63b5fc54e62148e-c95ac804525aac4b6dba79b00b39d1d3.ssl.cf1.rackcdn.com/Anaconda2-2.5.0-Li...

Run bash Anaconda2-2.5.0-Linux-x86.sh

The script will ask you to accept the license, enter yes, and do not change the prefix, if you are installing it at /usr you may have problems. If you press enter and accept the directory where is going to be installed you shouldn't have problems. Also, you need to be sure to have enough space on the board to download and extract all the required files.

Regards,

Charlie

AMont11
New Contributor I
166 Views

Hi I tried the same exact thing you mentioned to do but I am getting the same error output as before:

installing: _cache-0.0-py27_x0 ...

installing: python-2.7.11-0 ...

tar: bin/python: Cannot create symlink to 'python2.7': Operation not permitted

tar: bin/python2: Cannot create symlink to 'python2.7': Operation not permitted

tar: lib/libpython2.7.so: Cannot create symlink to 'libpython2.7.so.1.0': Operation not permitted

tar: lib/pkgconfig/python.pc: Cannot create symlink to 'python-2.7.pc': Operation not permitted

tar: lib/pkgconfig/python2.pc: Cannot create symlink to 'python-2.7.pc': Operation not permitted

tar: share/man/man1/python.1: Cannot create symlink to 'python2.7.1': Operation not permitted

tar: share/man/man1/python2.1: Cannot create symlink to 'python2.7.1': Operation not permitted

tar: Exiting with failure status due to previous errors

AMont11
New Contributor I
166 Views

I believe the problem lies with tar, I try to use tar with other downloads and this is what I get :

root@edison:~# tar xvfJ tar-1.28.tar.xz

tar (child): xz: Cannot exec: No such file or directory

tar (child): Error is not recoverable: exiting now

tar: Child returned status 2

tar: Error is not recoverable: exiting now

I am trying to see if I can install a newer version of tar. Because when i look in the anaconda shell script file the error occurs where tar is called with a condition that the tar on the edison does not have.

Admir

AMont11
New Contributor I
166 Views

So that didn't work.

Carlos_M_Intel
Employee
166 Views

Hi Admir,

I would like to replicate the error message you are obtaining so I would like to know more information in order to reproduce it.

Which image version are you using right now? Run configure_edison --version (I'm using the 159.devkit version)

Which other changes have you done? Did you install something else?

After running opkg install tar and opkg install tar-dev, did the installation was successful or did you receive an error message?

What is the output of cat /etc/opkg/base-feeds.conf?

Regards,

Charlie

AMont11
New Contributor I
166 Views

hi CMata_Intel,

I do have the 159 version.I didn't make any changes. I did install both tar and tar-dev. no error when i install it.

root@edison:~# opkg install tar

Package tar (1.27.1-r0) installed in root is up to date.

root@edison:~# opkg install tar-dev

Package tar-dev (1.27.1-r0) installed in root is up to date.

root@edison:~# configure_edison --upgrade

The latest version is already installed.

root@edison:~# cat /etc/opkg/base-feeds.conf

src/gz all http://repo.opkg.net/edison/repo/all http://repo.opkg.net/edison/repo/all

src/gz edison http://repo.opkg.net/edison/repo/edison http://repo.opkg.net/edison/repo/edison

src/gz core2-32 http://repo.opkg.net/edison/repo/core2-32 http://repo.opkg.net/edison/repo/core2-32

Thanks

Carlos_M_Intel
Employee
166 Views

Hi Admir,

I wasn't able to replicate the issue you have, I tried with images 146, 159 and 159.devkit,I received errors if I don't install tar and tar-dev but once I installed those packages I didn't have problems.

I would like to know if you have been able to work on this. If you still have problems with this, please check the packages you have installed, the conflict could be with one of those but if you are using a clean image I suggest you to flash the board and start again.

Regards,

Charlie

AMont11
New Contributor I
166 Views

Hi CMata_Intel,

So I figured out what the problem was, it was the format of the sd card which I mounted home on. I was able to reformat to ext4 and tar was then able to create the symlinks created by the Anaconda.

Thanks for trying to hep out.

Appreciate it,

Admir M.

Reply